agreed
i try to stick with the LTS version, but sometimes i upgrade to the non-lts that is right before the next LTS